#COMPILE EXE
#DIM ALL

SUB Test(BYREF arr() AS LONG)
    LOCAL i AS LONG
    arr(1) = 42
END SUB

FUNCTION PBMAIN() AS LONG
    DIM nums(1 TO 5) AS LONG
    nums(1) = 10
    CALL Test(nums())
    PRINT STR$(nums(1))
    FUNCTION = 0
END FUNCTION
